[Bug 65221] KDE Control Center write ~/.gtkrc-2.0 that causes many GNOME apps to crash

Kurt Swanson ubuntu at kswanson.com
Wed Oct 11 04:30:20 UTC 2006


Public bug reported:

Using KDE Control Center, Appearance & Themes, GTK styles and fonts,
select the Glider style.  A ~/.gtkrc-2.0 file will be written with the
contents as listed below.  This file will cause a number of GNOME apps
to fail with various "glibc detected" messages, including acroread (once
a pdf is opened), and zenity (at start-up).  I believe a number of bug
reports and forum questions about specific GNOME apps are due to this.

---------------------------------------------------------------------------------------------
# This file was written by KDE
# You can edit it in the KDE control center, under "GTK Styles and Fonts"

include "/usr/share/themes/Glider/gtk-2.0/gtkrc"

style "user-font"
{
        font_name="Sans Serif 10"
}
widget_class "*" style "user-font"

gtk-theme-name="Glider"
gtk-font-name="Sans Serif 10"

** Affects: kdebase (Ubuntu)
     Importance: Undecided
         Status: Unconfirmed

-- 
KDE Control Center write ~/.gtkrc-2.0 that causes many GNOME apps to crash
https://launchpad.net/bugs/65221




More information about the kubuntu-bugs mailing list